Bug 730200 - Python client: --transdir mistakenly appends "po" after the given path.
Python client: --transdir mistakenly appends "po" after the given path.
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-PythonClient (Show other bugs)
1.4-RC
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: James Ni
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-12 02:32 EDT by Ding-Yi Chen
Modified: 2011-10-28 04:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: v1.2.6-2-g8f87e1f
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 04:14:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-08-12 02:32:08 EDT
Description of problem:
--transdir in zanata-python-client-1.2.6 does not actually search the given  directory, but the subdirectory of the given directory.

For example, given: --transdir=.
./*.po files won't be looked, but
po/*.po files.

Version-Release number of selected component (if applicable):
1.2.6

How reproducible:
Always

Steps to Reproduce:
1. git-clone git://github.com/definite/ibus-chewing.git
2. cd ibus-chewing/po
3. zanata po push --transdir=. --srcdir=. --import-po
  
Actual results:
error: Can not find the zh_TW translation for ibus-chewing                                                     
error: Can not find the zh_CN translation for ibus-chewing

Expected results:
Successfully pushed.
Comment 1 James Ni 2011-08-16 06:12:23 EDT
I have fix this issue in commit 4ea63b, please verify it.
Comment 2 Ding-Yi Chen 2011-08-17 21:52:36 EDT
VERIFIED with commit 8f87e1fce367abcec1ffc8732284beeac5642ec8

Note You need to log in before you can comment on or make changes to this bug.